events.listen('recipes', function (e) {
    function igneousExtruder(fluid, bottom, output){e.custom({"type": "thermal:rock_gen","adjacent": fluid,"below": bottom,"result": {"item": output}})}
    
    //Igneous Extruder
    igneousExtruder('minecraft:water', 'mysticalagriculture:soulstone', 'mysticalagriculture:soulstone')
    igneousExtruder('minecraft:water', 'minecraft:red_sandstone', 'minecraft:red_sand')
    igneousExtruder('minecraft:water', 'minecraft:nether_bricks', 'minecraft:netherrack')
    igneousExtruder('minecraft:water', 'minecraft:soul_soil', 'minecraft:soul_sand')
    igneousExtruder('minecraft:water', 'minecraft:polished_andesite', 'minecraft:andesite')
    igneousExtruder('minecraft:water', 'minecraft:polished_diorite', 'minecraft:diorite')
    igneousExtruder('minecraft:water', 'minecraft:polished_granite', 'minecraft:granite')
    igneousExtruder('minecraft:water', 'create:polished_limestone', 'create:limestone')
    igneousExtruder('minecraft:water', 'minecraft:end_stone_bricks', 'minecraft:end_stone')

})